import java.lang.reflect.Field;

public class TestCases1 {

    public boolean test1() throws Throwable {
        Field xFiguraField = this.getDeclaredField(Figura.class, "x");
        Field yFiguraField = this.getDeclaredField(Figura.class, "y");
        Field texturaFiguraField = this.getDeclaredField(Figura.class, "textura");
        if (xFiguraField == null || yFiguraField == null || texturaFiguraField == null)
        	return false;

    	Figura figura = new Figura(71, 72) { };
        Object xValue = this.getDeclaredFieldValue(Figura.class, figura, "x");
        Object yValue = this.getDeclaredFieldValue(Figura.class, figura, "y");
        Object texturaValue = this.getDeclaredFieldValue(Figura.class, figura, "textura");
        if (!(xValue != null && xValue instanceof Double && (double) xValue == 71))
        	return false;
        if (!(yValue != null && yValue instanceof Double && (double) yValue == 72))
        	return false;
        if (!(texturaValue != null && texturaValue instanceof Integer && (int) texturaValue == 0))
        	return false;
        return true;
    }
    public boolean test2() throws Throwable {
        Field xFiguraField = this.getDeclaredField(Figura.class, "x");
        Field yFiguraField = this.getDeclaredField(Figura.class, "y");
        Field texturaFiguraField = this.getDeclaredField(Figura.class, "textura");
        if (xFiguraField == null || yFiguraField == null || texturaFiguraField == null)
        	return false;

    	Figura figura = new Figura(61, 62, 3) { };
        Object xValue = this.getDeclaredFieldValue(Figura.class, figura, "x");
        Object yValue = this.getDeclaredFieldValue(Figura.class, figura, "y");
        Object texturaValue = this.getDeclaredFieldValue(Figura.class, figura, "textura");
        if (!(xValue != null && xValue instanceof Double && (double) xValue == 61))
        	return false;
        if (!(yValue != null && yValue instanceof Double && (double) yValue == 62))
        	return false;
        if (!(texturaValue != null && texturaValue instanceof Integer && (int) texturaValue == 3))
        	return false;
        return true;
    }

    private Field getDeclaredField(Class<?> clazz, String fieldName) throws SecurityException {
    	try {
    		return clazz.getDeclaredField(fieldName);
    	}
    	catch (NoSuchFieldException e) {
    		return null;
    	}
    }
    private Object getDeclaredFieldValue(Class<?> clazz, Object obj, String fieldName) throws NoSuchFieldException, SecurityException, IllegalArgumentException, IllegalAccessException {
    	Field field = this.getDeclaredField(clazz, fieldName);

    	field.setAccessible(true);

    	return field.get(obj);
    }
}